AI Sync

Roles

List Roles

GEThttps://app.rizzdial.com/api/roles
List Roles
curl --request GET \
  --url 'https://app.rizzdial.com/api/roles?per_page=15' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": [
      {
        "id": 12,
        "title": "Agent"
      }
    ],
    "pagination": {
      "to": 1,
      "from": 1,
      "total": 1,
      "per_page": 15,
      "last_page": 1,
      "current_page": 1
    }
  },
  "success": true
}

List Roles#

Paginated roles for the signed-in company, newest first. Requires view-role.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

per_pageintegerquery

Rows per page. Default 15. Maximum 100

searchstringquery

Matches role title

curl --request GET \
  --url https://app.rizzdial.com/api/roles?per_page=15 \
  --header 'Authorization: Bearer {{bearer_token}}'
data.recordsarray

id, title, created_at, updated_at

data.paginationobject

total, current_page, per_page, last_page, from, and to